[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.DefaultEditorStyle

Gets the default editor style for the specified field.

## Declaration

Source position: dbgrids.pas line 430

`protected function TCustomDBGrid.DefaultEditorStyle(`
`const Style: TColumnButtonStyle;`
`const F: TField`
`):TColumnButtonStyle;`

## Arguments

`Style` |  | Preferred editor style for the field.
`F` |  | Dataset field for the editor style.

## Function result

Actual editor style for the column using the specified field.

## Description

DefaultEditorStyle is a TColumnButtonStyle function used to get the default editor style used for the column with the field specified in F.

The Style argument indicates the preferred editor style, while the return value contains the realized editor style. When F is a boolean field, and Style is cbsAuto, the return value is set to cbsCheckBoxColumn when dgeCheckboxColumn has been included in the Options for the grid control.

DefaultEditorStyle is used in the implementation of the ColumnEditorStyle and TColumn.GetDefaultAlignment methods.

## See also

TCustomDBGrid.ColumnEditorStyle |  | ColumnEditorStyle gets the button style for the column being edited.